ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

RnExpr

Synopsis

- rnLExpr :: LHsExpr RdrName -> RnM (LHsExpr Name, FreeVars)
- rnExpr :: HsExpr RdrName -> RnM (HsExpr Name, FreeVars)
- rnStmts :: Outputable (body RdrName) => HsStmtContext Name -> (Located (body RdrName) -> RnM (Located (body Name), FreeVars)) -> [LStmt RdrName (Located (body RdrName))] -> ([Name] -> RnM (thing, FreeVars)) -> RnM (([LStmt Name (Located (body Name))], thing), FreeVars)

# Documentation

rnLExpr :: LHsExpr RdrName -> RnM (LHsExpr Name, FreeVars) Source #

rnExpr :: HsExpr RdrName -> RnM (HsExpr Name, FreeVars) Source #

rnStmts Source #

Arguments

:: Outputable (body RdrName) |
=> HsStmtContext Name |
-> (Located (body RdrName) -> RnM (Located (body Name), FreeVars)) | How to rename the body of each statement (e.g. rnLExpr)
-> [LStmt RdrName (Located (body RdrName))] | Statements
-> ([Name] -> RnM (thing, FreeVars)) | if these statements scope over something, this renames it and returns the result.
-> RnM (([LStmt Name (Located (body Name))], thing), FreeVars) |

Rename some Stmts